summaryrefslogtreecommitdiffstats
path: root/src/vagrant/kubeadm_multus/examples
diff options
context:
space:
mode:
Diffstat (limited to 'src/vagrant/kubeadm_multus/examples')
-rw-r--r--src/vagrant/kubeadm_multus/examples/busybox.yaml17
-rwxr-xr-xsrc/vagrant/kubeadm_multus/examples/multus.sh39
-rw-r--r--src/vagrant/kubeadm_multus/examples/ubuntu.yaml32
3 files changed, 56 insertions, 32 deletions
diff --git a/src/vagrant/kubeadm_multus/examples/busybox.yaml b/src/vagrant/kubeadm_multus/examples/busybox.yaml
new file mode 100644
index 0000000..7fd1b8d
--- /dev/null
+++ b/src/vagrant/kubeadm_multus/examples/busybox.yaml
@@ -0,0 +1,17 @@
+apiVersion: v1
+kind: ReplicationController
+metadata:
+ name: busybox
+spec:
+ replicas: 2
+ template:
+ metadata:
+ labels:
+ app: busybox
+ spec:
+ containers:
+ - name: busybox
+ image: busybox:1.27.2
+ command:
+ - sleep
+ - "36000"
diff --git a/src/vagrant/kubeadm_multus/examples/multus.sh b/src/vagrant/kubeadm_multus/examples/multus.sh
new file mode 100755
index 0000000..d4b9a88
--- /dev/null
+++ b/src/vagrant/kubeadm_multus/examples/multus.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# Copyright (c) 2017 Intel Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+#workaroud to fix dns pod issue
+times=0
+
+while [ $times -lt "3" ]
+do
+ kubectl get pods -n kube-system | grep kube-dns | grep -v Run | sed "s/ .*//" | \
+ xargs -I {} kubectl delete pod -n kube-system {}
+ sleep 20
+ times+=1
+done
+
+kubectl apply -f /vagrant/examples/busybox.yaml
+r="0"
+while [ $r -ne "2" ]
+do
+ r=$(kubectl get pods | grep Running | wc -l)
+ sleep 20
+done
+kubectl get pods --all-namespaces
+kubectl get pods | grep Run | sed "s/ .*//" | xargs -I {} kubectl exec -i {} ip a
diff --git a/src/vagrant/kubeadm_multus/examples/ubuntu.yaml b/src/vagrant/kubeadm_multus/examples/ubuntu.yaml
deleted file mode 100644
index b01f903..0000000
--- a/src/vagrant/kubeadm_multus/examples/ubuntu.yaml
+++ /dev/null
@@ -1,32 +0,0 @@
-apiVersion: v1
-kind: Service
-metadata:
- name: ubuntu
- labels:
- app: ubuntu
-spec:
- type: NodePort
- ports:
- - port: 80
- protocol: TCP
- name: http
- selector:
- app: ubuntu
----
-apiVersion: v1
-kind: ReplicationController
-metadata:
- name: ubuntu
-spec:
- replicas: 2
- template:
- metadata:
- labels:
- app: ubuntu
- spec:
- containers:
- - name: ubuntu
- image: openretriever/ubuntu1604-ping
- command: [ "/bin/bash", "-c", "sleep 30000" ]
- ports:
- - containerPort: 80